Skip to main content
`Ctrl`+`K`

# MatMPIAdjToSeq

Converts an parallel `MATMPIADJ` matrix to complete `MATMPIADJ` on each process (needed by sequential partitioners)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAdjToSeq(Mat A, Mat *B)

Logically Collective

## Input Parameter

- A - the matrix

## Output Parameter

- B - the same matrix on all processes

## See Also

Matrices, `Mat`, `MATMPIADJ`, `MatCreate()`, `MatCreateMPIAdj()`, `MatSetValues()`, `MatMPIAdjToSeqRankZero()`

## Level

intermediate

## Location

src/mat/impls/adj/mpi/mpiadj.c

## Implementations

MatMPIAdjToSeq_MPIAdj() in src/mat/impls/adj/mpi/mpiadj.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages